; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "UniUploader"
!define PRODUCT_VERSION "2.5.0"
!define PRODUCT_PUBLISHER "Matt Miller"
!define PRODUCT_WEB_SITE "http://www.wowroster.net"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\UniUploader.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

; include Modern User Interface
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_UNABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\orange-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"

; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"


;--------------------------------
;Pages for the installer

  ; Welcome page
  !insertmacro MUI_PAGE_WELCOME
  
  ; License page
  !insertmacro MUI_PAGE_LICENSE $(MLLicense)
  
  ; Directory page
  !insertmacro MUI_PAGE_DIRECTORY
  
  ; Start menu page
  var ICONS_GROUP
  !define MUI_STARTMENUPAGE_NODISABLE
  !define MUI_STARTMENUPAGE_DEFAULTFOLDER "UniUploader"
  !define MUI_STARTMENUPAGE_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
  !define MUI_STARTMENUPAGE_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${PRODUCT_STARTMENU_REGVAL}"
  !insertmacro MUI_PAGE_STARTMENU Application $ICONS_GROUP
  
  ; Instfiles page
  !insertmacro MUI_PAGE_INSTFILES
  
  ; Finish page
  !define MUI_FINISHPAGE_RUN "$INSTDIR\UniUploader.exe"
  !insertmacro MUI_PAGE_FINISH

;--------------------------------
;Pages for the deinstaller

  ; Welcome page
  !insertmacro MUI_UNPAGE_WELCOME

  ; Confirmation page
  !insertmacro MUI_UNPAGE_CONFIRM

  ; Uninstallation of files page
  !insertmacro MUI_UNPAGE_INSTFILES

  ; Finish page
  !insertmacro MUI_UNPAGE_FINISH

;--------------------------------
; Language files

  !insertmacro MUI_LANGUAGE "English"
  !insertmacro MUI_LANGUAGE "German"
  ; put other languages in here
  ; !insertmacro MUI_LANGUAGE "French"
  

;--------------------------------
; License Language String

  LicenseLangString MLLicense ${LANG_ENGLISH} "License.txt"
  LicenseLangString MLLicense ${LANG_GERMAN} "License_DE.txt"
  ; Put licenses for other languages here
  ; Put license.txt in the same dir as the script file or point the path
  ; If you don't have a license in your language set this to the english version.
  ; LicenseLangString MLLicense ${LANG_FRENCH} "\path\relative\to\script_file\License_FR.txt"


; MUI end ------

;--------------------------------
; General

  Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
  OutFile "UniUploader-2.5.0-installer.exe"
  InstallDir "$PROGRAMFILES\UniUploader"
  InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
  ShowInstDetails show
  ShowUnInstDetails show

;--------------------------------
; Install funtion

  Function .onInit
    !insertmacro MUI_LANGDLL_DISPLAY
  FunctionEnd

;--------------------------------
; Sections
  Section "MainSection" SEC01
    SetOutPath "$INSTDIR"
    SetOverwrite on
    File "UniUploader.exe"
    File "LICENSE.TXT"

    ; The following lines are for preconfigured Guild Releases.  If you want
    ; to release it to a specific Guild with a preconfigured .ini file, just
    ; uncomment the following line and it will be included in the install

    ;File "settings.ini"

    SetOverwrite ifnewer
    File "logo1.gif"
    File "logo2.gif"

    ; Shortcuts
    !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
    CreateDirectory "$SMPROGRAMS\$ICONS_GROUP"
    CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\UniUploader.lnk" "$INSTDIR\UniUploader.exe"
    CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk" "$INSTDIR\uninst.exe"
    CreateShortCut "$DESKTOP\UniUploader.lnk" "$INSTDIR\UniUploader.exe"
    !insertmacro MUI_STARTMENU_WRITE_END
  SectionEnd

  Section -Post
    WriteUninstaller "$INSTDIR\uninst.exe"
    WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\UniUploader.exe"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\UniUploader.exe"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
    WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
  SectionEnd

;--------------------------------
; Uninst. funtions
  Function un.onInit
    !insertmacro MUI_UNGETLANGUAGE
  FunctionEnd

;--------------------------------
; Uninst. sections
  Section Uninstall
    !insertmacro MUI_STARTMENU_GETFOLDER "Application" $ICONS_GROUP
    Delete "$INSTDIR\${PRODUCT_NAME}.url"
    Delete "$INSTDIR\uninst.exe"
    Delete "$INSTDIR\logo2.gif"
    Delete "$INSTDIR\logo1.gif"
    Delete "$INSTDIR\UniUploader.exe"
    Delete "$INSTDIR\languages.ini"
    Delete "$INSTDIR\LICENSE.TXT"
    Delete "$INSTDIR\RespNotepad.htm"
    Delete "$INSTDIR\SiteSVIE.htm"
    Delete "$INSTDIR\SiteSVNotepad.htm"
    Delete "$INSTDIR\debug_notepad.txt"
    Delete "$INSTDIR\debug_ie.txt"
    Delete "$INSTDIR\settings.ini"

    Delete "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\UniUploader.lnk"
    Delete "$DESKTOP\UniUploader.lnk"
    
    RMDir "$SMPROGRAMS\$ICONS_GROUP"
    RMDir "$INSTDIR"

    DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
    DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
    SetAutoClose true
  SectionEnd